Brivio API reference
Saft

Get a SAF-T generation with its issue counts (scope: saft:read)

GET
/saft/generations/{id}

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Path Parameters

id*string

SAF-T generation id

Formatuuid

Response Body

OK

application/json
  1. response
data*
error*null
curl -X GET "https://example.com/saft/generations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "fiscal_year_id": "571ccfed-38f5-41f9-9797-855116d7b59a",    "variant": "annual",    "period_start": "2019-08-24",    "period_end": "2019-08-24",    "status": "pending",    "valid": true,    "xsd_valid": true,    "semantic_reconciled": true,    "coherent": true,    "coherence_applicable": true,    "xml_bytes": 0,    "xml_sha256": "string",    "storage_expires_at": "2019-08-24T14:15:22Z",    "submitted_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "validation_issues": {      "structural": 0,      "xsd": 0,      "semantic": 0,      "coherence": 0    }  },  "error": null}